<?xml version="1.0" encoding="WINDOWS-1251"?>
<REFERENCE ref_name="SERVERPROCESSOR" SUBSYSTEM="4" action="synchronize" REPORT_FLAG="0">

  <SERVERPROCESSOR NAME="EXCHVERSION" CAPTION="Контроль версий" CLASSNAME="com.bssys.azkserver.azkexchange.exchversion" PUBLIC_FLAG="0" SYSTEM_FLAG="1">
    <SERVERACTION>
      <SERVERACTION ACTION_NAME="version" CAPTION="Версия серверной части" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
    </SERVERACTION>
  </SERVERPROCESSOR>

  <SERVERPROCESSOR NAME="EXCHACCESS" CAPTION="Права доступа к документам и операции над ними" CLASSNAME="com.bssys.azkserver.azkexchange.exchaccess" PUBLIC_FLAG="0" SYSTEM_FLAG="1">
    <SERVERACTION>
      <SERVERACTION ACTION_NAME="documentaccessmode" CAPTION="Режим доступа к документу" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
      <SERVERACTION ACTION_NAME="documentaction" CAPTION="Статус операции над документом" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
    </SERVERACTION>
  </SERVERPROCESSOR>

  <SERVERPROCESSOR NAME="EXCHQUERY" CAPTION="Обработка запросов" CLASSNAME="com.bssys.azkserver.azkexchange.exchquery" PUBLIC_FLAG="0" SYSTEM_FLAG="1">
    <SERVERACTION>
      <SERVERACTION ACTION_NAME="runquery" CAPTION="Запрос на выборку" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
      <SERVERACTION ACTION_NAME="runqueryex" CAPTION="Запрос на выборку с сокращенным результатом" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
      <SERVERACTION ACTION_NAME="runquerypack" CAPTION="Запрос на выборку с упакованным результатом" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
      <SERVERACTION ACTION_NAME="runqueryzip" CAPTION="Запрос на выборку с упакованным результатом ZIP" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
    </SERVERACTION>
  </SERVERPROCESSOR>

  <SERVERPROCESSOR NAME="EXCHARHIV" CAPTION="Работа с архивом" CLASSNAME="com.bssys.azkserver.azkexchange.excharhiv" PUBLIC_FLAG="0" SYSTEM_FLAG="1">
    <SERVERACTION>
      <SERVERACTION ACTION_NAME="move" CAPTION="Перенос документов в архив" EXTERNAL_FLAG="1" READONLY_FLAG="0"/>
      <SERVERACTION ACTION_NAME="rest" CAPTION="Перенос документов в архив" EXTERNAL_FLAG="1" READONLY_FLAG="0"/>
    </SERVERACTION>
  </SERVERPROCESSOR>

  <SERVERPROCESSOR NAME="EXCHPROC" CAPTION="Дополнительные методы" CLASSNAME="com.bssys.azkserver.azkexchange.excharhiv" PUBLIC_FLAG="0" SYSTEM_FLAG="1">
    <SERVERACTION>
      <SERVERACTION ACTION_NAME="foreign_key" CAPTION="Изменение поля FOREIGN_KEY" EXTERNAL_FLAG="1" READONLY_FLAG="0"/>
      <SERVERACTION ACTION_NAME="guid_fk" CAPTION="Изменение поля GUID_FK" EXTERNAL_FLAG="1" READONLY_FLAG="0"/>
    </SERVERACTION>
  </SERVERPROCESSOR>

  <SERVERPROCESSOR NAME="EXCH_UTILS_PROCESSOR" CAPTION="Серверные утилиты" CLASSNAME="com.bssys.azkserver.azkexchange.ExchUtilsProcessor" PUBLIC_FLAG="0" SYSTEM_FLAG="1">
    <SERVERACTION>
      <SERVERACTION ACTION_NAME="get_budget_param_value" CAPTION="Получение значения бюджетного параметра" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
      <SERVERACTION ACTION_NAME="get_sys_param_value" CAPTION="Получение значения системного параметра" EXTERNAL_FLAG="1" READONLY_FLAG="1"/>
    </SERVERACTION>
  </SERVERPROCESSOR>

</REFERENCE>
